<template>
    <div>
        <div class="progress-container-price">
            <div class="pricing-total-value">
                <div class="sms-value-container">
                    <div class="total-revenue-text">
                        <strong>SMS Credits:</strong>
                    </div>
                    <div class="total-revenue-count">
                        ${{ parseFloat(balance.smsBalance).toFixed(2) }}
                    </div>
                </div>
                <button

                    class="btn add-btn"
                    type="button"
                    @click="addSmsPopup = !addSmsPopup"
                >
                    <img
                        class="add-icon"
                        src="/images/noun_Plus.svg"
                    >
                    Add credit
                </button>
            </div>
        </div>
        <!-- modal window to add credits-->
        <b-modal
            v-model="addSmsPopup"
            hide-footer
            hide-header
            size="md"
            centered
            body-class="add-popup"
        >
            <div class="modal-popup-header">
                <div class="close-container">
                    <button
                        class="btn"
                        @click="addSmsPopup = !addSmsPopup"
                    >
                        <img
                            class="close-button"
                            src="/images/noun_Plus.svg"
                        >
                    </button>
                </div>
                <div class="popup-header-text">
                    Add SMS Credits
                </div>
            </div>
            <div class="modal-popup-body">
                <div class="popup-input-container">
                    <div><strong>Credits to add:</strong></div>
                    <b-select
                        v-model="selectedSmsPlan"
                        class="form-control custom-select"
                        style="background-color: white"
                    >
                        <option
                            v-for="(menu, index) in selectSmsPlan"
                            :key="index"
                            :value="menu.value"
                        >
                            {{ menu.title }}
                        </option>
                    </b-select>
                </div>
                <button
                    type="button"
                    class="btn blue-btn"
                    @click="buySmsCredits"
                >
                    Secure Buy With Wix
                </button>
            </div>
        </b-modal>
    </div>
</template>

<script>
    import shop from '../../mixins/shop.service';
    import pricing from '../../mixins/pricing/pricing.service'

    export default {
        name: "AddCredits",
        mixins: [shop, pricing],
        props: ['mainBalance'],
        data() {
            return {
                balance: {
                    smsBalance: 0
                },
                progress: 0,
                addSmsPopup: false,
                selectedSmsPlan: 5,
                selectSmsPlan: [
                    {
                        title: '$5.00',
                        value: 5,
                    },
                    {
                        title: '$10.00',
                        value: 10,
                    },
                    {
                        title: '$50.00',
                        value: 50,
                    },
                    {
                        title: '$100.00',
                        value: 100,
                    },
                    {
                        title: '$500.00',
                        value: 500,
                    },
                ],
            };
        },
        created() {
            if(!this.mainBalance) this.getShopBalance();
            else this.balance = this.mainBalance
        },
        methods: {
            async getShopBalance() {
                const res = await this.getBalance();
                if (!res.plan) {
                    await this.$router.push('/setup/1');
                }
                this.progress = ((res.emailSent * 100) / res.emailCount);
                this.balance = res;
                this.$emit('updBalance', res)
            },
            async buySmsCredits() {
                const res = await this.smsCredits(this.selectedSmsPlan)
                window.location.replace(res);
                this.addSmsPopup = false
            },
        },
    };
</script>

<style scoped lang="scss">
    .progress-container-price {
        display: flex;
        align-items: center;
        background: white;
        border-radius: 5px;
        height: 100%;
        padding-left: 5px;
    }

    .pricing-total-value {
        display: flex;
        align-items: center;
        justify-content: space-around;
        width: 100%;
    }

    .sms-value-container {
        display: flex;
        align-items: center;
    }

    .total-revenue-count {
        font-size: 14px;
        color: #4786FF;
        font-weight: 800;
    }

    .total-revenue-text {
        font-size: 14px;
        margin-right: 10px;
        font-weight: 500;

    }
    .add-icon {
        margin-right: 5px;
    }

    .modal-popup-header {
        border-bottom: 1px solid #eeeff0;
    }

    .close-container {
        display: flex;
        justify-content: flex-end;
        .btn {
            margin: 10px 10px 0 0;
        }
    }

    .close-button {
        width: 28px;
        transform: rotate(45deg);
    }

    .popup-header-text {
        font-size: 32px;
        color: #1B2437;
        font-weight: 600;
        text-align: center;
    }

    .modal-popup-body {
        padding: 30px;
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;

        .blue-btn {
            margin-top: 30px;
        }

        .blue-btn {
            width: fit-content;
        }
    }

    .popup-input-container {
        display: flex;
        align-items: center;
    }
</style>
